player = {}
player.x = 500
player.y = 500
player.speed = 200

playerRight = {}
playerRight[1] = love.graphics.newImage("images/linkright/linkright2.png")
playerRight[2] = love.graphics.newImage("images/linkright/linkright3.png")
playerRight[3] = love.graphics.newImage("images/linkright/linkright4.png")
playerRight[4] = love.graphics.newImage("images/linkright/linkright5.png")
playerRight[5] = love.graphics.newImage("images/linkright/linkright6.png")
playerRight[6] = love.graphics.newImage("images/linkright/linkright7.png")
playerRight[7] = love.graphics.newImage("images/linkright/linkright8.png")

playerLeft = {}
playerLeft[1] = love.graphics.newImage("images/linkleft/linkleft1.png")
playerLeft[2] = love.graphics.newImage("images/linkleft/linkleft2.png")
playerLeft[3] = love.graphics.newImage("images/linkleft/linkleft3.png")
playerLeft[4] = love.graphics.newImage("images/linkleft/linkleft4.png")
playerLeft[5] = love.graphics.newImage("images/linkleft/linkleft5.png")
playerLeft[6] = love.graphics.newImage("images/linkleft/linkleft6.png")
playerLeft[7] = love.graphics.newImage("images/linkleft/linkleft7.png")

playerUp = {}
playerUp[1] = love.graphics.newImage("images/linkup/linkup1.png")
playerUp[2] = love.graphics.newImage("images/linkup/linkup2.png")
playerUp[3] = love.graphics.newImage("images/linkup/linkup3.png")
playerUp[4] = love.graphics.newImage("images/linkup/linkup4.png")
playerUp[5] = love.graphics.newImage("images/linkup/linkup5.png")
playerUp[6] = love.graphics.newImage("images/linkup/linkup6.png")
playerUp[7] = love.graphics.newImage("images/linkup/linkup7.png")
playerUp[8] = love.graphics.newImage("images/linkup/linkup8.png")
playerUp[9] = love.graphics.newImage("images/linkup/linkup9.png")

playerDown = {}
playerDown[1] = love.graphics.newImage("images/linkdown/linkDown1.png")
playerDown[2] = love.graphics.newImage("images/linkdown/linkDown2.png")
playerDown[3] = love.graphics.newImage("images/linkdown/linkDown3.png")
playerDown[4] = love.graphics.newImage("images/linkdown/linkDown4.png")
playerDown[5] = love.graphics.newImage("images/linkdown/linkDown5.png")
playerDown[6] = love.graphics.newImage("images/linkdown/linkDown6.png")
playerDown[7] = love.graphics.newImage("images/linkdown/linkDown7.png")
playerDown[8] = love.graphics.newImage("images/linkdown/linkDown8.png")
playerDown[9] = love.graphics.newImage("images/linkdown/linkDown9.png")

player.animtimer = 0
player.img = playerRight[1]
player.pnum = 1

function playerMove(dt)
	if love.keyboard.isDown("a") then
		player.x = player.x - player.speed * dt
		player.img = playerLeft[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.08 then
			player.pnum = player.pnum +1
			player.animtimer = 0
		end
		if player.pnum > 7 then
			player.pnum = 1
		end
	end
	
	if love.keyboard.isDown("d") then
		player.x = player.x + player.speed * dt
		player.img = playerRight[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.08 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 7 then
			player.pnum = 1
		end
	end
	if love.keyboard.isDown("w") then
		player.y = player.y - player.speed * dt
		player.img = playerUp[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.08 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 8 then
			player.pnum = 1
		end
	end
	if love.keyboard.isDown("s") then
		player.y = player.y + player.speed * dt
		player.img = playerDown[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.08 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 8 then
			player.pnum = 1
		end
	end
	
end

function player.animReset(key)
	if key == "d" then
		player.animtimer = 0
		player.pnum = 1
		player.img = playerRight[4]
	end
	if key == "a" then
		player.animtimer = 0
		player.pnum = 1
		player.img = playerLeft[4]
	end
	if key == "w" then
		player.animtimer = 0
		player.pnum = 1
		player.img = playerUp[9]
	end
	if key == "s" then
		player.animtimer = 0
		player.pnum = 1
		player.img = playerDown[9]
	end
end

function player.draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(player.img, player.x, player.y)
end